import Image from 'next/image';
import React from 'react'
import { Parallax } from "react-scroll-parallax";

const HomeCreateBox = () => {
  return (
    <Parallax speed={-5}>
      <div className='w-full h-full bg-[#FFD0D0] rounded-t-3xl md:pb-20 pb-10'>
        <div className='grid grid-cols-1 md:grid-cols-2 items-center py-10 px-5 lg:px-10'>
          <div className='w-full hidden md:flex mt-5 md:mt-0 justify-center md:justify-start'>
            <button className='px-4 lg:px-6 py-2 text-sm lg:text-base lg:py-3 uppercase rounded-full font-semibold border border-[#95743D] text-[#95743D] hover:text-[#FFD0D0] hover:bg-[#E78895] hover:border-[#E78895] duration-300'>View Product</button>
          </div>
          <div className='flex flex-col gap-4'>
            <p className='text-center md:text-end text-4xl lg:text-[50px] leading-none xl:text-6xl 2xl:text-[4.5vw] text-[#FF8989] uppercase font-semibold drop-shadow-[0_3px_3px_rgba(105,105,105,1)]'>Mothers Day Box</p>
            <p className='w-full text-center md:text-end text-base lg:text-lg text-[#95743D]'>Lets show our appreciation for our moms by treating them with Mothers Day Box from Puffy Dough!</p> 
          </div>
          <div className='w-full flex md:hidden mt-5 md:mt-0 justify-center md:justify-end items-end text-end'>
            <button className='px-4 lg:px-6 py-2 text-sm lg:text-base lg:py-3 uppercase rounded-full font-semibold border border-[#95743D] text-[#95743D] hover:text-[#FFD0D0] hover:bg-[#E78895] hover:border-[#E78895] duration-300'>View Product</button>
          </div>
        </div>

        <div className='flex flex-col md:flex-row justify-between px-5 lg:px-10'>
          <div className='flex justify-center md:justify-start items-center mt-5 md:mt-0'>
            <Image src='/donuts_special.jpg' width={800} height={800} alt='home-create-box' className='w-[800px] h-[500px] md:h-[600px] xl:-[700px] 2xl:h-[800px] object-cover rounded-xl'/>
          </div>
          <div>
            <p>Mothers Day Box</p>
          </div>
        </div>
      </div>
    </Parallax>
  )
}

export default HomeCreateBox
